
Foreman - Bug #2452

New taxonomy, step 2 throws : undefined method `object' for nil:NilClass

05/02/2013 04:28 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: Web Interface   

Target version: 1.2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When adding a new location/org and going to step 2 (assuming you have unassigned hosts), this error is thrown:

undefined method `object' for nil:NilClass

 from app/helpers/layout_helper.rb:124 where we're calling f.object.

Associated revisions

Revision 7f7cac23 - 05/05/2013 01:18 AM - Dominic Cleal

fixes #2452 - allow nil form, used for checkboxes in taxonomies wizard

History

#1 - 05/02/2013 07:47 AM - Dominic Cleal

- Status changed from New to Ready For Testing

- Assignee set to Dominic Cleal

https://github.com/theforeman/foreman/pull/573

#2 - 05/05/2013 08:04 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 7f7cac233079e8da1195aec700561bee114b0079.
